Index: src/driver/Makefile.in
===================================================================
--- src/driver/Makefile.in	(revision 857638d4ae266bd7143f436a63478f8420cd1887)
+++ src/driver/Makefile.in	(revision a2f146ee136fe38b828af6b499e5a27a7d8006fb)
@@ -97,4 +97,5 @@
 noinst_PROGRAMS = cfa$(EXEEXT)
 cc1lib_PROGRAMS = cc1$(EXEEXT)
+aslib_PROGRAMS = as$(EXEEXT)
 subdir = src/driver
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -107,6 +108,9 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
-am__installdirs = "$(DESTDIR)$(cc1libdir)"
-PROGRAMS = $(cc1lib_PROGRAMS) $(noinst_PROGRAMS)
+am__installdirs = "$(DESTDIR)$(aslibdir)" "$(DESTDIR)$(cc1libdir)"
+PROGRAMS = $(aslib_PROGRAMS) $(cc1lib_PROGRAMS) $(noinst_PROGRAMS)
+am_as_OBJECTS = as.$(OBJEXT)
+as_OBJECTS = $(am_as_OBJECTS)
+as_LDADD = $(LDADD)
 am_cc1_OBJECTS = cc1.$(OBJEXT)
 cc1_OBJECTS = $(am_cc1_OBJECTS)
@@ -144,6 +148,6 @@
 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
 am__v_CXXLD_1 = 
-SOURCES = $(cc1_SOURCES) $(cfa_SOURCES)
-DIST_SOURCES = $(cc1_SOURCES) $(cfa_SOURCES)
+SOURCES = $(as_SOURCES) $(cc1_SOURCES) $(cfa_SOURCES)
+DIST_SOURCES = $(as_SOURCES) $(cc1_SOURCES) $(cfa_SOURCES)
 am__can_run_installinfo = \
   case $$AM_UPDATE_INFO_DIR in \
@@ -300,4 +304,6 @@
 cc1libdir = ${CFA_LIBDIR}
 cc1_SOURCES = cc1.cc
+aslibdir = ${CFA_LIBDIR}
+as_SOURCES = as.cc
 MAINTAINERCLEANFILES = $(CFA_BINDIR)/$(CFA_NAME) @CFA_PREFIX@/lib/${cc1lib_PROGRAMS}
 all: all-am
@@ -334,4 +340,46 @@
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 $(am__aclocal_m4_deps):
+install-aslibPROGRAMS: $(aslib_PROGRAMS)
+	@$(NORMAL_INSTALL)
+	@list='$(aslib_PROGRAMS)'; test -n "$(aslibdir)" || list=; \
+	if test -n "$$list"; then \
+	  echo " $(MKDIR_P) '$(DESTDIR)$(aslibdir)'"; \
+	  $(MKDIR_P) "$(DESTDIR)$(aslibdir)" || exit 1; \
+	fi; \
+	for p in $$list; do echo "$$p $$p"; done | \
+	sed 's/$(EXEEXT)$$//' | \
+	while read p p1; do if test -f $$p \
+	  ; then echo "$$p"; echo "$$p"; else :; fi; \
+	done | \
+	sed -e 'p;s,.*/,,;n;h' \
+	    -e 's|.*|.|' \
+	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
+	sed 'N;N;N;s,\n, ,g' | \
+	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
+	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
+	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
+	    else { print "f", $$3 "/" $$4, $$1; } } \
+	  END { for (d in files) print "f", d, files[d] }' | \
+	while read type dir files; do \
+	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
+	    test -z "$$files" || { \
+	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(aslibdir)$$dir'"; \
+	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(aslibdir)$$dir" || exit $$?; \
+	    } \
+	; done
+
+uninstall-aslibPROGRAMS:
+	@$(NORMAL_UNINSTALL)
+	@list='$(aslib_PROGRAMS)'; test -n "$(aslibdir)" || list=; \
+	files=`for p in $$list; do echo "$$p"; done | \
+	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
+	      -e 's/$$/$(EXEEXT)/' \
+	`; \
+	test -n "$$list" || exit 0; \
+	echo " ( cd '$(DESTDIR)$(aslibdir)' && rm -f" $$files ")"; \
+	cd "$(DESTDIR)$(aslibdir)" && rm -f $$files
+
+clean-aslibPROGRAMS:
+	-test -z "$(aslib_PROGRAMS)" || rm -f $(aslib_PROGRAMS)
 install-cc1libPROGRAMS: $(cc1lib_PROGRAMS)
 	@$(NORMAL_INSTALL)
@@ -380,4 +428,8 @@
 	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
 
+as$(EXEEXT): $(as_OBJECTS) $(as_DEPENDENCIES) $(EXTRA_as_DEPENDENCIES) 
+	@rm -f as$(EXEEXT)
+	$(AM_V_CXXLD)$(CXXLINK) $(as_OBJECTS) $(as_LDADD) $(LIBS)
+
 cc1$(EXEEXT): $(cc1_OBJECTS) $(cc1_DEPENDENCIES) $(EXTRA_cc1_DEPENDENCIES) 
 	@rm -f cc1$(EXEEXT)
@@ -394,4 +446,5 @@
 	-rm -f *.tab.c
 
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/as.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cc1.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfa.Po@am__quote@
@@ -499,5 +552,5 @@
 all-am: Makefile $(PROGRAMS)
 installdirs:
-	for dir in "$(DESTDIR)$(cc1libdir)"; do \
+	for dir in "$(DESTDIR)$(aslibdir)" "$(DESTDIR)$(cc1libdir)"; do \
 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 	done
@@ -535,6 +588,6 @@
 clean: clean-am
 
-clean-am: clean-cc1libPROGRAMS clean-generic clean-noinstPROGRAMS \
-	mostlyclean-am
+clean-am: clean-aslibPROGRAMS clean-cc1libPROGRAMS clean-generic \
+	clean-noinstPROGRAMS mostlyclean-am
 
 distclean: distclean-am
@@ -556,5 +609,5 @@
 info-am:
 
-install-data-am: install-cc1libPROGRAMS
+install-data-am: install-aslibPROGRAMS install-cc1libPROGRAMS
 
 install-dvi: install-dvi-am
@@ -602,5 +655,5 @@
 ps-am:
 
-uninstall-am: uninstall-cc1libPROGRAMS
+uninstall-am: uninstall-aslibPROGRAMS uninstall-cc1libPROGRAMS
 	@$(NORMAL_INSTALL)
 	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
@@ -608,16 +661,17 @@
 
 .PHONY: CTAGS GTAGS TAGS all all-am check check-am clean \
-	clean-cc1libPROGRAMS clean-generic clean-noinstPROGRAMS \
-	cscopelist-am ctags ctags-am distclean distclean-compile \
-	distclean-generic distclean-tags distdir dvi dvi-am html \
-	html-am info info-am install install-am install-cc1libPROGRAMS \
-	install-data install-data-am install-dvi install-dvi-am \
-	install-exec install-exec-am install-exec-hook install-html \
-	install-html-am install-info install-info-am install-man \
-	install-pdf install-pdf-am install-ps install-ps-am \
-	install-strip installcheck installcheck-am installdirs \
-	maintainer-clean maintainer-clean-generic mostlyclean \
-	mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
-	tags tags-am uninstall uninstall-am uninstall-cc1libPROGRAMS \
+	clean-aslibPROGRAMS clean-cc1libPROGRAMS clean-generic \
+	clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
+	distclean-compile distclean-generic distclean-tags distdir dvi \
+	dvi-am html html-am info info-am install install-am \
+	install-aslibPROGRAMS install-cc1libPROGRAMS install-data \
+	install-data-am install-dvi install-dvi-am install-exec \
+	install-exec-am install-exec-hook install-html install-html-am \
+	install-info install-info-am install-man install-pdf \
+	install-pdf-am install-ps install-ps-am install-strip \
+	installcheck installcheck-am installdirs maintainer-clean \
+	maintainer-clean-generic mostlyclean mostlyclean-compile \
+	mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
+	uninstall-am uninstall-aslibPROGRAMS uninstall-cc1libPROGRAMS \
 	uninstall-hook
 
